#include <stdint.h>
#include <stddef.h>
#include "storedev/storedev.h"
#include "mbr.h"
#include "util/util.h"
#include "kprintf.h"

void diskpart_init(void) {
  LOG("diskpart", "probing for disks with partitions\n");

  StoreDev *sd, *sdtmp;
  LL_FOREACH_SAFE(STOREDEV_LIST.head, sd, sdtmp) {
    diskpart_mbr_probe(sd);
  }
}
